Resource

Incident Template

Manage incident templates for your project

The Incident Template Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    title
    Type
    Long TextRequired
    Description

    Title of this incident

  • Name
    templateName
    Type
    TextRequired
    Description

    Name of the Incident Template

  • Name
    templateDescription
    Type
    Long TextRequired
    Description

    Description of the Incident Template

  • Name
    description
    Type
    Markdown
    Description

    Short description of this incident. This is in markdown and will be visible on the status page.

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    monitors
    Type
    Monitor
    Description

    List of monitors affected by this incident

  • Name
    onCallDutyPolicies
    Type
    On-Call Policy
    Description

    List of on-call duty policies affected by this incident template.

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    incidentSeverity
    Type
    Incident Severity
    Description

    How severe is this incident. Is it critical? or a minor incident?. This is related to Incident Severity.

  • Name
    incidentSeverityId
    Type
    Object ID
    Description

    Incident Severity ID

  • Name
    changeMonitorStatusTo
    Type
    Incident State
    Description

    Relation to Monitor Status Object. All monitors connected to this incident will be changed to this status when the incident is created.

  • Name
    changeMonitorStatusToId
    Type
    Object ID
    Description

    Relation to Monitor Status Object ID. All monitors connected to this incident will be changed to this status when the incident is created.

  • Name
    initialIncidentState
    Type
    Incident State
    Description

    Relation to Incident State Object. Incidents created from this template will start in this state.

  • Name
    initialIncidentStateId
    Type
    Object ID
    Description

    Relation to Incident State Object ID. Incidents created from this template will start in this state.

  • Name
    customFields
    Type
    JSON
    Description

    Custom Fields on this resource.

GETorPOST/api/incident-templates/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Template. By default, a maximum of ten Incident Template are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-templates/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "slug": true,
    "templateDescription": true,
    "templateName": true,
    "title": true
  },
  "query": {
    "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates."
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3772a320-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "server-outage-template",
      "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
      "templateName": "Server Outage Template",
      "title": "Production Server Outage - Database Connection Issue"
    },
    {
      "_id": "3772a321-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "server-outage-template",
      "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
      "templateName": "Server Outage Template",
      "title": "Production Server Outage - Database Connection Issue"
    },
    {
      "_id": "3772a322-28fe-11f1-b591-3fdcef396aba",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "server-outage-template",
      "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
      "templateName": "Server Outage Template",
      "title": "Production Server Outage - Database Connection Issue"
    }
  ]
}
GETorPOST/api/incident-templates/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Template by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-templates/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "slug": true,
    "templateDescription": true,
    "templateName": true,
    "title": true
  }
}

Response

{
  "_id": "3772a320-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "server-outage-template",
  "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
  "templateName": "Server Outage Template",
  "title": "Production Server Outage - Database Connection Issue"
}
POST/api/incident-templates/count

Count

This endpoint allows you to retrieve the count of all your Incident Template.

Optional Request Body

Count Request

POST
/api/incident-templates/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates."
  }
}

Response

{
  "count": 107
}
POST/api/incident-templates

Create Incident Template

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-templates
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
    "templateName": "Server Outage Template",
    "title": "Production Server Outage - Database Connection Issue",
    "changeMonitorStatusToId": "d4e5f6a7-b8c9-4d0e-1f2a-3b4c5d6e7f8a"
  }
}

Response

{
  "_id": "3772a320-28fe-11f1-b591-3fdcef396aba",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "server-outage-template",
  "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
  "templateName": "Server Outage Template",
  "title": "Production Server Outage - Database Connection Issue"
}
PUT/api/incident-templates/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-templates/:id/update-item
GET/api/incident-templates/:id/update-item

Update Request

PUT
/api/incident-templates/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "templateDescription": "Use this template when experiencing server outages due to database connectivity issues. Includes automated notifications to on-call engineers and status page updates.",
    "templateName": "Server Outage Template",
    "title": "Production Server Outage - Database Connection Issue"
  }
}

Response

{}
DELETE/api/incident-templates/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-templates/:id/delete-item
GET/api/incident-templates/:id/delete-item

Delete Request

DELETE
/api/incident-templates/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Template

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Template
  • Read All Project Resources

Create Permissions

Required to create Incident Template

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Template

Update Permissions

Required to update Incident Template

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Template

Delete Permissions

Required to delete Incident Template

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Template